Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

I just installed a fresh minimal ubuntu 12.04 system, first without X, then I installed xinit and xmonad. After that I installed some lightweight browsers: surf, luakit and midori.

When I start one of those browsers from commandline it works until I enter the url. Then the browser quits and on the comandline there is an error message:

Illegal instruction

After that I tried firefox and chromium which worked without problem.

Any idea how to fix this?

If not, where is the best place to report this bug? (It is not clear to me where to do so, because it seems to affect muliple packages - my first guess was that it might a problem with webkit but chromium runs without problems)

Edit I finally reported the bug to https://launchpad.net/ubuntu/+source/luakit/+bug/1027787

share|improve this question
    
Does the URL go to a flash site? If so, what kind of processor do you have? –  John S Gruber Jul 21 '12 at 23:35
    
@JohnSGruber I just tried google.com. It's an mobile AMD Athlon XP-M 2200+ –  student Jul 22 '12 at 6:36
    
gnu.org works in all cases –  student Jul 22 '12 at 6:40
    
I can't explain why midori would crash on google.com, sorry. I have a similar processor and Midori and other browsers crash with an Illegal instruction when using Adobe Flash (known bug related to lack of the SSE2 feature). Midori works on google.com on my processor, however. Sorry. –  John S Gruber Jul 22 '12 at 13:16
1  
Anyone have a circumvention for student? –  John S Gruber Jul 23 '12 at 21:53
show 2 more comments

1 Answer

up vote 0 down vote accepted

This sounds like a bug to me. Assuming you are using libglib2.0-0 version 2.24 which is current for Ubuntu 12.04, I'd suggest that you report the bug in Launchpad under webkit, since it's a common denominator. Chromium runs tabs under separate processes and may use webkit differently in other ways, too.

After the bug is triaged a different cause may be determined, but I think that would be a good start. It's no sin to get the package name wrong, but it's important to get all bugs reported.

I mention libglib2.0-0 as the glib version is mentioned in the topic about a similar crash in the Midori FAQ.

share|improve this answer
    
What's the exact package name? ubuntu-bug webkit tells me, that package webkit does not exist –  student Jul 22 '12 at 14:56
    
ubuntu-bug libwebkitgtk-1.0-0 would work, but better would be to use a crash dump collected when you tried to run one of the browsers. These would be in /var/crash/. ubuntu-bug /var/crash/filename. That way the crash dump would be sent with the report for use by the triagers. Please post a link here to the report you open. –  John S Gruber Jul 22 '12 at 23:48
1  
I just reported the bug: launchpad.net/ubuntu/+source/luakit/+bug/1027787 –  student Jul 23 '12 at 7:44
    
Thanks, student. –  John S Gruber Jul 23 '12 at 19:55
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.